//========================================================================================
//
//	File:				FWEveDef.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWEVEDEF_H
#define FWEVEDEF_H

#if defined(FW_BUILD_MAC) && !defined(__EVENTS__)
#include <Events.h>
#endif

#if defined(FW_BUILD_WIN) && !defined(_INC_WINDOWS)
#include <windows.h>
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

//========================================================================================
//	Global defines
//========================================================================================

#ifdef FW_BUILD_MAC
#define FW_BACKSPACE	0x33
#define FW_TAB				0x30
#define FW_CLEAR			0x47
#define FW_RETURN			0x24
#define FW_SHIFT			0x38
#define FW_CONTROL		0x3B
#define FW_COMMAND		0x37
#define FW_OPTION			0x3A
#define FW_ESCAPE			0x35
#define FW_SPACE			0x31
#define	FW_PAGEUP			0x74
#define	FW_PAGEDOWN		0x79
#define FW_END				0x77
#define	FW_HOME				0x73
#define FW_LEFT				0x7B
#define FW_UP					0x7E
#define	FW_RIGHT			0x7C
#define FW_DOWN				0x7D
#define FW_INSERT			0x2D
#define FW_DELETE			0x75
#define FW_NUMPAD0		0x52
#define FW_NUMPAD1		0x53
#define FW_NUMPAD2		0x54
#define FW_NUMPAD3		0x55
#define FW_NUMPAD4		0x56
#define FW_NUMPAD5		0x57
#define FW_NUMPAD6		0x58
#define FW_NUMPAD7		0x59
#define FW_NUMPAD8		0x5B
#define FW_NUMPAD9		0x5C
#define FW_ENTER			0x4C
#define FW_MULTIPLY		0x43
#define FW_ADD				0x45
#define FW_SUBTRACT		0x4E
#define FW_DIVIDE			0x4B
#define FW_DECIMAL		0x41
#define FW_EQUAL			0x51
#define FW_F1					0x7A
#define FW_F2					0x78
#define FW_F3					0x63
#define FW_F4					0x76
#define FW_F5					0x60
#define FW_F6					0x61
#define FW_F7					0x62
#define FW_F8					0x64
#define FW_F9					0x65
#define FW_F10				0x6D
#define FW_F11				0x67
#define FW_F12				0x6F
#define FW_F13				0x69
#define FW_F14				0x6B
#define FW_F15				0x71
#endif

#ifdef FW_BUILD_WIN
#define FW_BACKSPACE	VK_BACK
#define FW_TAB				VK_TAB
#define FW_CLEAR			VK_CLEAR
#define FW_RETURN			VK_RETURN
#define FW_SHIFT			VK_SHIFT
#define FW_CONTROL		VK_CONTROL
#define FW_COMMAND		VK_MENU
#define FW_ESCAPE			VK_ESCAPE
#define FW_SPACE			VK_SPACE
#define	FW_PAGEUP			VK_PRIOR
#define	FW_PAGEDOWN		VK_NEXT
#define FW_END				VK_END
#define	FW_HOME				VK_HOME
#define FW_LEFT				VK_LEFT
#define FW_UP					VK_UP
#define	FW_RIGHT			VK_RIGHT
#define FW_DOWN				VK_DOWN
#define FW_INSERT			VK_INSERT
#define FW_DELETE			VK_DELETE
#define FW_NUMPAD0		VK_NUMPAD0
#define FW_NUMPAD1		VK_NUMPAD1
#define FW_NUMPAD2		VK_NUMPAD2
#define FW_NUMPAD3		VK_NUMPAD3
#define FW_NUMPAD4		VK_NUMPAD4
#define FW_NUMPAD5		VK_NUMPAD5
#define FW_NUMPAD6		VK_NUMPAD6
#define FW_NUMPAD7		VK_NUMPAD7
#define FW_NUMPAD8		VK_NUMPAD8
#define FW_NUMPAD9		VK_NUMPAD9
#define FW_ENTER			VK_EXECUTE
#define FW_MULTIPLY		VK_MULTIPLY
#define FW_ADD				VK_ADD
#define FW_SUBTRACT		VK_SUBTRACT
#define FW_DIVIDE			VK_DIVIDE
#define FW_DECIMAL		VK_DECIMAL
#define FW_EQUAL			VK_SEPARATOR
#define FW_F1					VK_F1
#define FW_F2					VK_F2
#define FW_F3					VK_F3
#define FW_F4					VK_F4
#define FW_F5					VK_F5
#define FW_F6					VK_F6
#define FW_F7					VK_F7
#define FW_F8					VK_F8
#define FW_F9					VK_F9
#define FW_F10				VK_F10
#define FW_F11				VK_F11
#define FW_F12				VK_F12
#define FW_F13				VK_F13
#define FW_F14				VK_F14
#define FW_F15				VK_F15
#endif

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export off
#endif

#endif
